This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 777537 - JBESB - we should update the helloworld QS to support a clustered service
JBESB - we should update the helloworld QS to support a clustered service
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
medium Severity medium
: ---
: 5.0.2
Assigned To: Len DiMaggio
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 13:04 EDT by Len DiMaggio
Modified: 2012-07-13 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-172
Environment:
ESB from svn - revision 15514
Last Closed: 2009-07-13 17:14:31 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
jboss-esb-unfiltered.xml (2.05 KB, text/xml)
2007-10-02 13:05 EDT, Len DiMaggio
no flags Details
notes_for_readme.txt (1.97 KB, text/plain)
2007-10-02 13:05 EDT, Len DiMaggio
no flags Details
build.xml (1.55 KB, text/xml)
2007-10-02 13:19 EDT, Len DiMaggio
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-172 None None None Never

  None (edit)
Description Len DiMaggio 2007-10-02 13:04:06 EDT
++ This bug is a clone of bug 777536 ++

project_key: SOA

JBESB - we should update the helloworld QS to support a clustered service

Kurt suggested this during the initial testing of service clustering/failover for the SOA-P project. The attached files implement this - I'll commit them when doing so won't affect the project/IR schedules:

1) jboss-esb.xml - this file should be removed from the helloworld quickstart

2) jboss-esb-unfiltered.xml - this file should be added to the helloworld quickstart - the only change relative to the original jboss-esb.xml file is that the system's hostname is used as the JNDI server name. This change makes it possible for quickstart "clients" to access the service through ESB archives running on servers other than the client's localhost.

3) build.aml - this file should replace the helloworld quickstart's original build.xml file. The changes relative to the original build.xml file are the addition of targets to determine the current hostname (this should work on Unix and Windows) and to generate the new jboss-esb.xml file when the runtest or sendesb targets are executed.

4) notes_for_readme - this file describes the additional steps needed to run the helloworld service as a clustered service (setting up a shared jUDDI database).
Comment 2 Len DiMaggio 2007-10-02 13:05:55 EDT
Attachment: Added: jboss-esb-unfiltered.xml
Attachment: Added: build.xml
Attachment: Added: notes_for_readme.txt
Comment 4 Len DiMaggio 2007-10-02 13:16:14 EDT
Attachment: Removed: build.xml 
Comment 5 Len DiMaggio 2007-10-02 13:19:45 EDT
Attachment: Added: build.xml
Comment 6 Len DiMaggio 2007-12-10 17:26:59 EST
I'm recommending that this JIRA be deferred until the problem described in SOA-148 is resolved.

Implementing this JIRA (SOA-172) really won't help users as they will still have to manually edit the ESB archive to reference the local system's IP address.
Comment 7 Len DiMaggio 2009-07-13 17:14:31 EDT
Closing this task as no longer relevant - cluster/failover tests were built over a year ago.

Note You need to log in before you can comment on or make changes to this bug.